> For the complete documentation index, see [llms.txt](https://cetus-1.gitbook.io/cetus-developer-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk/features-available/minimum-received-and-maximum-sold.md).

# Minimum received & Maximum sold

## How to calculate minimun received?

When fixed input amount, **minimum received** means the min amount of the received coin, it equals `outputAmount * (1 - slippageTolerance)`.If swap during times of significant price fluctuations, and swap result of output amount less than minimum received, this transaction will be rejected.

#### Example

```ts
    const res = await sdk.RouterV2.getBestRouter(USDT, USDC, 100000000, true, 5, '', undefined, true, false)
    const slippageTolerance = 0.01

    const minReceived =  res.result.outputAmount * (1 - slippageTolerance)
    console.log('minReceived: ', minReceived )
```

##

## How to calculate maximum sold?

When fixed output amount, **maximum sold** means the max amount of the sold coin, it equals `inputAmount * (1 + slippageTolerance)`.If swap during times of significant price fluctuations, and  swap result of input amount more than maximum sold, this transaction will be rejected.

#### Example

```ts
    const res = await sdk.RouterV2.getBestRouter(USDT, USDC, 100000000, true, 5, '', undefined, true, false)
    const slippageTolerance = 0.01

    const maxSold =  res.result.inputAmount * (1 + slippageTolerance)
    console.log('maxSold: ', maxSold )
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk/features-available/minimum-received-and-maximum-sold.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
